.showcase {
  &__card {
    margin: 20px;
    opacity: 1;
    transition: opacity .5s ease-in,-webkit-transform .1s ease-out;
    transition: opacity .5s ease-in,transform .1s ease-out;
    transition: opacity .5s ease-in,transform .1s ease-out,-webkit-transform .1s ease-out;

    &:hover:not(.showcase__card_skeleton) {
      -webkit-transform: scale(1.02);
      transform: scale(1.02);
    }
  }
}

.post-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  box-sizing: border-box;
  width: 380px;
  height: 570px;
  text-decoration: none;
  background: #fffffe;

  &__image-wrapper {
    position: relative;
    flex-shrink: 0;
    width: 380px;
    height: 380px;
    margin: 0;
  }

  &__image {
    width: 100%;
    height: 100%;
    opacity: .9;
    background-position: 50% 50%;
    background-size: cover;
    transition: opacity .1s ease-out;
  }

  &__text-wrapper {
    display: flex;
    overflow: hidden;
    flex-direction: column;
    box-sizing: border-box;
    width: 100%;
    padding: 36px 40px 0;
  }

  &__category {
    display: block;
    flex-shrink: 0;
    overflow: hidden;
    margin: 0 0 4px;
    white-space: nowrap;
    letter-spacing: .05em;
    text-transform: uppercase;
    text-overflow: ellipsis;
    font: normal 14px/20px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    color: #b2b2b2;
    transition: color .1s ease-out;
  }

  &__title {
    overflow: hidden;
    height: 90px;
    margin: 0;
    letter-spacing: -.01em;
    text-overflow: ellipsis;
    font: 700 20px/30px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    color: #333;
  }
}

@media (max-width: 1340px) {
  .post-card {
    width: 290px;
    height: 435px;

    &__image-wrapper {
      width: 290px;
      height: 290px;
    }

    &__text-wrapper {
      padding: 18px 20px 0;
    }

    &__category {
      font: normal 12px/20px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    }

    &__title {
      height: 75px;
      font: 700 18px/25px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    }
  }
  
  .showcase {
    &__banner,
    &__card {
      margin: 15px;
    }
  }
}